--- title: "Check existence of user created policy" slug: "get-assignment-exists-policy" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/get-assignment-exists-policy" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Check existence of user created policy Available in Classic and VPC Check for the existence of a User Created policy in a target account. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/assignments/exists-policy | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `accountMbrNo` | Integer | Required | Account member ID - See [Get application account list](/docs/en/get-accounts) | | `permissionSetId` | String | Required | Permission set ID - See [Get permission set list](/docs/en/get-permission-sets) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/assignments/exists-policy?accountMbrNo=*******&permissionSetId=87512735-****-****-****-ab5b164127f5' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `success` | Boolean | - | API processing result - `true` \| `false` - `true`: The user created policy added to the permission set does not exist or the user created policy exists on the target account - `false`: There is a user created policy added to the permission set, but the target account does not have the user created policy | | `message` | Array | - | Result message: [message](/docs/en/get-assignment-exists-policy#message) - Displayed if `success` is `false` | #### `message` The following describes `message`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `userCreatedPolicyName` | String | - | User Created policy name | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. #### If user created policy exists The following is a sample response if an user created policy exists. ``` { "success": true } ``` #### If user created policy does not exist The following is a sample response if an user created policy doesn't exist. ``` { "success": false, "message": [ { "userCreatedPolicyName": "policy010" } ] } ```